@tailwind base;
@tailwind components;
@tailwind utilities;

.el-link {
    @apply cursor-pointer underline el-text-blue-3 hover:text-blue-600;
}

:root {
    --el-color-red-4: #b34a22;
    --el-color-red-3: #ca3a31;
    --el-color-red-2: #dd524c;
    --el-color-red-1: #e87b35;
    --el-color-yellow-2: #c18d30;
    --el-color-yellow-1: #e2b53e;
    --el-color-blue-4: #4e46e5;
    --el-color-blue-3: #179dea;
    --el-color-blue-2: #9dc4f8;
    --el-color-blue-1: #ebf4fd;
    --el-color-green: #4ca154;
    --el-color-primary-4: #183782;
    --el-color-primary-3: #1e40af;
    --el-color-primary-2: #2d64e7;
    --el-color-primary-1: #3579f6;
    --el-color-gray-8: #181d1f;
    --el-color-gray-7: #374151;
    --el-color-gray-6: #6b7280;
    --el-color-gray-5: #6b748b;
    --el-color-gray-4: #9ca3af;
    --el-color-gray-3: #bbbfc6;
    --el-color-gray-2: #d9d9d9;
    --el-color-gray-1: #dee2ea;
}

body {
    min-width: 300px;
}

/* text color */
.el-text-red-4 {
    color: var(--el-color-red-4);
}
.el-text-red-3 {
    color: var(--el-color-red-3);
}
.el-text-red-2 {
    color: var(--el-color-red-2);
}
.el-text-red-1 {
    color: var(--el-color-red-1);
}
.el-text-yellow-2 {
    color: var(--el-color-yellow-2);
}
.el-text-yellow-1 {
    color: var(--el-color-yellow-1);
}
.el-text-blue-4 {
    color: var(--el-color-blue-4);
}
.el-text-blue-3 {
    color: var(--el-color-blue-3);
}
.el-text-blue-2 {
    color: var(--el-color-blue-2);
}
.el-text-blue-1 {
    color: var(--el-color-blue-1);
}
.el-text-green {
    color: var(--el-color-green);
}
.el-text-primary-4 {
    color: var(--el-color-primary-4);
}
.el-text-primary-3 {
    color: var(--el-color-primary-3);
}
.el-text-primary-2 {
    color: var(--el-color-primary-2);
}
.el-text-primary-1 {
    color: var(--el-color-primary-1);
}
.el-text-gray-8 {
    color: var(--el-color-gray-8);
}
.el-text-gray-7 {
    color: var(--el-color-gray-7);
}
.el-text-gray-6 {
    color: var(--el-color-gray-6);
}
.el-text-gray-5 {
    color: var(--el-color-gray-5);
}
.el-text-gray-4 {
    color: var(--el-color-gray-4);
}
.el-text-gray-3 {
    color: var(--el-color-gray-3);
}
.el-text-gray-2 {
    color: var(--el-color-gray-2);
}
.el-text-gray-1 {
    color: var(--el-color-gray-1);
}

/* bg color */
.el-bg-blue-4 {
    background-color: var(--el-color-blue-4);
}
.el-bg-blue-3 {
    background-color: var(--el-color-blue-3);
}
.el-bg-blue-2 {
    background-color: var(--el-color-blue-2);
}
.el-bg-blue-1 {
    background-color: var(--el-color-blue-1);
}
.el-bg-primary-4 {
    background-color: var(--el-color-primary-4);
}
.el-bg-primary-3 {
    background-color: var(--el-color-primary-3);
}
.el-bg-primary-2 {
    background-color: var(--el-color-primary-2);
}
.el-bg-primary-1 {
    background-color: var(--el-color-primary-1);
}
.el-bg-gray-8 {
    background-color: var(--el-color-gray-8);
}
.el-bg-gray-7 {
    background-color: var(--el-color-gray-7);
}
.el-bg-gray-6 {
    background-color: var(--el-color-gray-6);
}
.el-bg-gray-5 {
    background-color: var(--el-color-gray-5);
}
.el-bg-gray-4 {
    background-color: var(--el-color-gray-4);
}
.el-bg-gray-3 {
    background-color: var(--el-color-gray-3);
}
.el-bg-gray-2 {
    background-color: var(--el-color-gray-2);
}
.el-bg-gray-1 {
    background-color: var(--el-color-gray-1);
}
